# $Revision: 1.17 $, $Date: 2002/06/15 16:10:30 $
Summary:	An X Window System kernel parameter monitoring tool
Summary(de):	prsentiert Balkendiagramme der Systemauslastung
Summary(es):	Ensea la carga del sistema con grfico de barras
Summary(fr):	affiche la charge systme sous forme d'histogrammes
Summary(pl):	Narzdzie do monitorowania parametrw systemu pod X Window
Summary(pt_BR):	Mostra a carga do sistema com grfico de barras
Summary(ru):	   
Summary(tr):	Sistem ykn grafiksel olarak belirtir
Summary(uk):	 Φ  
Name:		xsysinfo
Version:	1.7
Release:	5
License:	MIT
Group:		X11/Applications
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/status/xstatus/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-leak.patch
Icon:		xsysinfo.xpm
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Xsysinfo is a graphic kernel monitoring tool for the X Window System.
Xsysinfo displays vertical bars for certain kernel parameters: CPU
load average, CPU load, memory and swap sizes.

%description -l de
Viele Aspekte der Systemleistung knnen mit xsysinfo berwacht werden,
u.a. Netzwerk- und CPU-Auslastung, Festplattenspeicher u. -nutzung,
usw. Stellt nderungen der Systemleistung leicht erkennbar in einem
Fenster dar.

%description -l es
Varios aspectos del desempeo del sistema pueden ser monitorados con
xsysinfo, incluyendo trfico de red, carga de la CPU, espacio en
disco, uso de disco, y ms. Ensea tambin un histrico del desempeo
en una ventana para que puedas ver los cambios fcilmente.

%description -l fr
De nombreux aspects des performances du systme peuvent tre observs
avec xsysinfo, dont le trafic sur le rseau, la charge CPU, l'espace
disque, l'utilisation des disques, et plus encore. Il affiche une
historique des performances dans une fentre pour que vous puissiez
facilement suivre l'volution.

%description -l pl
Xsysinfo jest graficznym narzdziem pod X Window sucym do
monitorowania rnych parametrw pracy systemu jak: obcienie i
rednie obcienie procesora, zajto pamici i partycji swap.

%description -l pt_BR
Vrios aspectos da performance do sistema podem ser monitorados com o
xsysinfo, incluindo trfego de rede, carga da CPU, espao em disco,
uso de disco, e mais. Mostra tambm um histrico da performance em uma
janela para que voc possa ver as mudanas facilmente.

%description -l ru
 xsysinfo     
,   ,  ,   ,
    .    
,      .

%description -l tr
Sistem performansn gsteren baz iaretler (CPU yk, bo disk
alan, kullanm, a trafii, vs) xsysinfo yardmyla gzlemlenebilir
ve bir pencere iinde sistemin yk zamana bal olarak izlenebilir.

%description -l uk
  xsysinfo  צ̦  Ҧ
æ ,   Ʀ, 
, ͦ    .

%prep
%setup -q
%patch0 -p1

%build
%{__make} clean

#xmkmf
%{__make} CXXDEBUGFLAGS="%{rpmcflags}" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/System,%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/System
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

gzip -9nf README CHANGES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/xsysinfo
%config %{_libdir}/X11/app-defaults/XSysinfo
%config %{_libdir}/X11/app-defaults/XSysinfo-color
%{_applnkdir}/System/xsysinfo.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xsysinfo.spec,v $
Revision 1.17  2002/06/15 16:10:30  kloczek
- release 5: merge translations from KSI and Conectiva.

Revision 1.16  2002/06/09 10:03:20  mmazur
- fixed building
- Imake sucks

Revision 1.15  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/05/03 01:14:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.11  2001/02/25 02:53:45  kloczek
- update to 1.7,
- move desktop file from Administration to System,
- added package icon,
- merge leak RH patch,
- spec adapterized and %%{deug} ready.

Revision 1.10  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.8  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.7  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  1999/09/05 20:40:43  pius
- typo corrected

Revision 1.5  1999/09/05 20:29:31  kloczek
- fixed pl translation.

Revision 1.4  1999/09/05 20:26:32  kloczek
- added de, fr, tr translations from TurboLinux spec file.

Revision 1.3  1999/09/05 19:09:31  pius
- added more docs

Revision 1.2  1999/09/05 19:07:59  pius
- rewritten for PLD use

Revision 1.1  1999/08/19 20:07:28  baggins
almost raw

based on RH spec file
